[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#601697: squeeze->squeeze: kernel errors after upgrade, X system left in a non-working state

On Thu, 2010-10-28 at 18:16 +0300, Harri Kiiskinen wrote:
> Package: upgrade-reports
> Severity: normal
> Tags: squeeze
> On two different systems, the apt-get dist-upgrade within testing
> ("Squeeze") during the last month has left the Xorg system in an
> unusable state. In both cases, the upgrade included a kernel-image
> upgrade, but additionally some hundreds of packages.
> In the first case, linux-image-2.6.32-5-686 was updated from 2.6.32-20
> to 2.6.32-23. In this case, the laptop has an integrated intel video
> card, using the xorg-xserver-intel driver.

There have been some problems with use of KMS on some older Intel GPUs,
so we disabled it in version 2.6.32-21.  This actually made things worse
in many cases, so we reverted in 2.6.32-24.

Please send the output of 'lspci -nn | grep 0300' so we can check
whether you are using one of the affected chips.  Also try upgrading to
the latest version (2.6.32-26).


Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.

Attachment: signature.asc
Description: This is a digitally signed message part

Reply to: